%define rel      1
%define oname kactivities

Name:    libkactivities
Summary: API for using and interacting with Activities 
Version:   4.8.2
Release: %mkrel %{rel}
Epoch: 1
License: GPLv2+
Group:  System/Libraries
URL:     https://projects.kde.org/projects/kde/kdelibs/kactivities 
Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%oname-%{version}.tar.xz

BuildRequires: kdelibs4-devel >= 2:%{version} 
BuildRequires: pkgconfig(shared-desktop-ontologies)

%description
API for using and interacting with Activities as a consumer, 
application adding information to them or as an activity manager.

#------------------------------------------------------------------------------

%package -n kactivitymanagerd
Summary: Activity Manager for KDE
Group: Graphical desktop/KDE
Conflicts: kdebase4-runtime < 1:4.7.3-2

%description -n kactivitymanagerd
This package provides an Activity Manager for KDE.

%files -n kactivitymanagerd
%{_kde_bindir}/kactivitymanagerd
%{_kde_libdir}/kde4/activitymanager_plugin_dummy.so
%{_kde_libdir}/kde4/activitymanager_plugin_nepomuk.so
%{_kde_libdir}/kde4/activitymanager_plugin_slc.so
%{_kde_services}/activitymanager-plugin-dummy.desktop
%{_kde_services}/activitymanager-plugin-nepomuk.desktop
%{_kde_services}/activitymanager-plugin-slc.desktop
%{_kde_services}/kactivitymanagerd.desktop
%{_kde_services}/kded/activitymanager.desktop
%{_kde_servicetypes}/activitymanager-plugin.desktop

#------------------------------------------------------------------------------

%define kactivities_major 6
%define libkactivities %mklibname kactivities %{kactivities_major}

%package -n %{libkactivities}
Summary:    Kactivities Runtime Library
Group:      System/Libraries

%description -n %libkactivities
API for using and interacting with Activities as a consumer, application adding
information to them or as an activity manager.

This package provides the %{oname} runtime library.

%files -n %libkactivities
%{_kde_libdir}/libkactivities.so.%{kactivities_major}*

#------------------------------------------------------------------------------

%define kactivities_devel %mklibname kactivities -d

%package -n %{kactivities_devel}
Summary:  Header files for %{name}
Provides: lib%{oname}-devel = %{epoch}:%{version}-%{release}
Requires: %{libkactivities} = %{epoch}:%{version}-%{release}
Group: Development/KDE and Qt 

%description -n %{kactivities_devel}
API for using and interacting with Activities as a consumer, application adding
information to them or as an activity manager.

This packages provides the headers files need to build a package against
%{oname}

%files -n %{kactivities_devel}
%{_kde_libdir}/libkactivities.so
%{_kde_libdir}/cmake/KActivities/
%{_kde_libdir}/pkgconfig/libkactivities.pc
%{_kde_includedir}/KDE/KActivities/
%{_kde_includedir}/kactivities/

#------------------------------------------------------------------------------

%prep
%setup -q -n %oname-%{version}

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4 -DKDE4_ENABLE_FINAL=ON
%make

%install
%makeinstall_std -C build


%changelog

* Fri Apr 06 2012 fwang <fwang> 1:4.8.2-1.mga2
+ Revision: 228917
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 1:4.8.1-1.mga2
+ Revision: 221534
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 1:4.8.0-1.mga2
+ Revision: 198095
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 1:4.7.97-0.mga2
+ Revision: 190848
- Update tarball to KDE 4.7.97

* Thu Dec 22 2011 mikala <mikala> 1:4.7.95-1.mga2
+ Revision: 185813
- Update tarball to KDE 4.7.95

* Thu Dec 15 2011 mikala <mikala> 1:4.7.90-1.mga2
+ Revision: 182193
- Update tarball to KDE 4.7.90
- use gold linker
- enable -DKDE4_ENABLE_FINAL=ON
- fix files list (nepomuk files moved to )
- Add pkgconfig(shared-desktop-ontologies) as BR
- Remove redundant requires from -devel package
- Add epoch since upstream is now providing a tarball with lower version

* Fri Nov 25 2011 lmenut <lmenut> 6.1-2.mga2
+ Revision: 171967
- Fix conflicts on kdebase4-runtime

* Fri Nov 25 2011 mikala <mikala> 6.1-1.mga2
+ Revision: 171814
- Add missing epoch tag in conflicts

* Thu Nov 24 2011 mikala <mikala> 6.1-0.mga2
+ Revision: 171752
- imported package libkactivities

